﻿@model IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.Slider>
@using MvcWebsiteOcc.Models;
<!-- BEGIN .ot-slider -->
<div class="ot-slider owl-carousel">
    @{if (Model.Count() > 0)
      {
          var onlys = Model.Where(p => p.Style == 1).ToList();
          var sliders = Model.Where(p => p.Style != 1).ToList();

          if (onlys.Count > 0)
          {

              foreach (var only in onlys)
              {
                  string target = "";
                  if (only.IsBlank == true)
                  {
                      target = "_blank";
                  }
        <!-- BEGIN .ot-slide -->
        <div class="ot-slide">
            <div class="ot-slider-layer ">
                <a href="@only.Link" style="background: none" target="@target">
                    <strong>@only.SlideTitle</strong>
                    <div class="">
                        <img src="/Uploaded/Images/slideshow/@only.SlideImage">
                    </div>

                </a>
            </div>
            <!-- END .ot-slide -->
        </div>
        <!-- END .ot-slider --> 
              }
          }

          if (sliders.Count > 0)
          {
              if ((sliders.Count >= 4))
              {
                  int slidecount = sliders.Count / 4;
                  if (sliders.Count == 4)
                  {
                      slidecount = 0;
                  }
                  int tach = 0;
                  for (int i = 0; i < slidecount + 1; i++)
                  {
                     
        <div class='ot-slide'>

            @foreach (var slide in sliders.Skip(tach).Take(4).ToList())
            {

                if (slide.Style == 2)
                {
                <div class="ot-slider-layer first">
                    <a href="@slide.Link">
                        <strong>@slide.SlideTitle</strong>
                        <div class="thumb_slide thumb_slide_one">
                            <img src="/Uploaded/Images/slideshow/@slide.SlideImage">
                        </div>

                    </a>
                </div>
                }
                else if (slide.Style == 3)
                {
                <div class="ot-slider-layer second">
                    <a href="@slide.Link">
                        <strong>@slide.SlideTitle</strong>

                        <div class="thumb_slide thumb_slide_two">
                            <img src="/Uploaded/Images/slideshow/@slide.SlideImage">
                        </div>
                    </a>
                </div>
                }
                else
                {
                <div class="ot-slider-layer third">
                    <a href="@slide.Link">
                        <strong>@slide.SlideTitle</strong>
                        <div class="thumb_slide thumb_slide_three">
                           <img src="/Uploaded/Images/slideshow/@slide.SlideImage">
                        </div>
                    </a>
                </div>
                }
                <!-- END .ot-slide -->
                tach++;
            }

        </div> 
                  }
              }
          }
      }}




    <!-- END .ot-slider -->


</div>
